<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Credentials Report</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/credentials-report.html">Open topic with navigation</a>
        </p>
        <h1>Credentials Report</h1>
        <p>The Credentials Report compiles the credential data, such as plaintext passwords, NTLM hashes, non-replayable hashes, and SSH keys, from a project and presents it in a single unified view. The Credential Report is useful if you want to take a snapshot of the credential data in a project a particular moment in time and export the data in a tangible output, such as a PDF file. </p>
        <p>To help you navigate through the data to find key information, the report is organized into the following sections: </p>
        <ul>
            <li value="1">Cover Page</li>
            <li value="2">Project Summary</li>
            <li value="3">Credentials Summary</li>
            <li value="4">Credentials Details</li>
            <li value="5">Login Details</li>
            <li value="6">Host Details</li>
            <li value="7">Module Details</li>
            <li value="8">Appendix</li>
        </ul>
        <h2>Credential Summary</h2>
        <p>The Credentials Summary uses pie charts to  visualize key findings according to the following categories:</p>
        <ul>
            <li value="1"><b>Private Types</b> - The relative distribution of private types for all credentials in the project. </li>
            <li value="2"><b>Credential Origins</b> - The relative distribution of credential origins for all credentials in the project. </li>
            <li value="3"><b>Top Hosts by Logins</b> - The relative distribution of logins across all hosts in the project. </li>
            <li value="4"><b>Top Shared Credentials by Related Hosts</b> - The relative distribution of credential pairs that are most commonly shared between hosts.</li>
            <li value="5"><b>Logins by OS</b> - The relative distribution of logins across different operating systems. </li>
            <li value="6"><b>Logins by Service</b> - The relative distribution of logins by service name.</li>
        </ul>
        <h2>Credential Details</h2>
        <p>The Credential Details presents the granular details of each credential that is stored in the project. Each credential will be grouped by its type: plaintext password, NTLM&#160;hash, non-replayable hash, or SSH key.</p>
        <p>Each credential will have the following information:</p>
        <ul>
            <li value="1">The public value</li>
            <li value="2">The private value</li>
            <li value="3">The realm type </li>
            <li value="4">The realm value</li>
            <li value="5">The origin</li>
            <li value="6">The count of related hosts</li>
            <li value="7">The count of related services</li>
        </ul>
        <h2>Login Details</h2>
        <p>The Login Details shows all validated logins that are related to the selected hosts, or validated logins that are related to all hosts in the workspace, if none are specified.Each login will have the following information:</p>
        <ul>
            <li value="1">The service name</li>
            <li value="2">The host name</li>
            <li value="3">The login creation date</li>
            <li value="4">The access level</li>
            <li value="5">The public data</li>
            <li value="6">The private data</li>
        </ul>
        <h2>Host Details</h2>
        <p>The Host Details lists the hosts in the project that have at least one credential or login. Each host will have the following information:</p>
        <ul>
            <li value="1">The host name</li>
            <li value="2">The IP&#160;address</li>
            <li value="3">The date the host was added</li>
            <li value="4">The count of logins for the host</li>
            <li value="5">The number of credentials related to the host there were obtained from a login, service authentication, or looting a session</li>
        </ul>
        <h2>Module Details</h2>
        <p>The Module Details lists the modules that were used to obtain credentials. This section is divided into two parts: Service Origins and Session Origins.</p>
        <h3>Service Origins</h3>
        <p>The Services Origins section lists the modules that were used to authenticate to services to obtain credentials. These credentials are typically obtained by Bruteforce Guess, Credential Reuse, or Get Session.</p>
        <p>Each module will have the following information:</p>
        <ul>
            <li value="1">The module name</li>
            <li value="2">The service name</li>
            <li value="3">The number of logins  related to the credential that was added by the module</li>
            <li value="4">The date and time that the credential was added to the project. A credential is added when service authentication is successful.</li>
        </ul>
        <h3>Session Origins</h3>
        <p>The Session Origins section lists the modules that were used to obtain a session and then used to loot credentials from the compromised host.</p>
        <p>Each module will have the following information:</p>
        <ul>
            <li value="1">The module name</li>
            <li value="2">The date and time the session was opened</li>
            <li value="3">The number of credentials obtained with the module</li>
            <li value="4">The number of logins that are related to the credentials that were gathered by the module</li>
        </ul>
        <h2>Appendix</h2>
        <p>The Appendix provides additional details about the Credentials Report, such as the options that were used to generate the report and the glossary of key terms.</p>
        <h2>Credentials Report Options </h2>
        <table style="width: 100%;border-spacing: 0px 0px;border-left-style: none;border-left-width: 0px;border-left-color: #a9a9a9;border-right-style: none;border-right-width: 0px;border-right-color: #a9a9a9;border-top-style: none;border-top-width: 0px;border-top-color: #a9a9a9;border-bottom-style: none;border-bottom-width: 0px;border-bottom-color: #a9a9a9;margin-left: auto;margin-right: auto;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableCell">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableCell"><b>Mask discovered credentials</b> - Masks all credentials, including plain text passwords, hashes, and SSH keys, from the report. It replaces the private value with *MASKED*. </p>
                        <p class="tableCell">&#160;</p>
                        <p class="tableCell"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report.</p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableCell">Cover Page</p>
                        <p class="tableCell">Project Summary</p>
                        <p class="tableCell">Credentials Summary</p>
                        <p class="tableCell">Credentials Details</p>
                        <p class="tableCellIndent">Plaintext Passwords</p>
                        <p class="tableCellIndent">NTLM&#160;Hashes</p>
                        <p class="tableCellIndent">Non-replayable Hashes</p>
                        <p class="tableCellIndent">SSH&#160;Keys</p>
                        <p class="tableCell">Login Details</p>
                        <p class="tableCell">Host Details</p>
                        <p class="tableCell">Module Details</p>
                        <p class="tableCell">Service Origins</p>
                        <p class="tableCell">Session Origins</p>
                        <p class="tableCell">Appendix: Glossary</p>
                        <p class="tableCell">Appendix:&#160;Report Options</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>